Subject: bug#30462: flyspell-auto-correct-word 'corrects' more than the current word

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Thu, 15 Feb 2018 20:56:17 +0800

>>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:
EZ> This happens only if you invoke the command more than once on the same
EZ> location.  So, while I agree that the doc string should be fixed, the problem
EZ> you describe can happen only by user request.

Luckily I noticed the 97th word in the 35th paragraph was subtly
changing itself. So I was lucky I was a bad speller.

If I was a good speller it would have probably got to work on some other
word even more paragraphs back way off the screen. Turing a misspelled
mother into monster...

I would respectfully say fix it to act like its documentation.

And make reaching into the dark corners of your document that you are
not aware of and changing words ... into a non-default bonus feature...
or move it into M-x dissociated-press.